%define module CPAN
Name: perl-%module
Version: 1.76
Release: alt1

Summary: CPAN - download and install perl modules from CPAN sites
License: GPL or Artistic
Group: Development/Perl
BuildArch: noarch

Url: http://search.cpan.org/dist/CPAN/
Source: %module-%version.tar.bz2
Patch0: %name-1.70-alt-deb-config-path.patch

# Automatically added by buildreq on Sat Jun 14 2003
BuildRequires: perl-devel

# support for /etc/perl5
Requires: perl-base >= 1:5.8.1
Requires: perl(Term/ReadLine.pm) perl(Term/ReadLine/Gnu.pm)

%description
The CPAN (Comprehensive Perl Archive Network) module is designed
to automate the make and install of perl modules and extensions.
It includes some searching capabilities and knows how to fetch
the raw data from the net.

%prep
%setup -q -n %module-%version
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install
%__install -pD -m644 /dev/null %buildroot%_sysconfdir/perl5/CPAN/Config.pm

%triggerpostun -- %name
[ $2 -gt 0 ] || exit 0
# move configuration file on upgrade
OLD=/usr/lib/perl5/vendor_perl/CPAN/Config.pm
NEW=%_sysconfdir/perl5/CPAN/Config.pm
if [ -s $OLD -a ! -s $NEW ]; then
	%__install -pD $OLD $NEW
	%__rm -f $OLD
fi

%files
%_bindir/cpan
%dir %_sysconfdir/perl5/CPAN
%config(noreplace) %ghost %_sysconfdir/perl5/CPAN/Config.pm
%doc Todo Change*
%perl_vendor_privlib/CPAN*
%perl_vendor_privlib/Bundle
%perl_vendor_man1dir/*
%perl_vendor_man3dir/*

# TODO
# - rebuilt in perl-5.8.1 environment with new rpm perl.{req.prov} scripts

%changelog
* Sun Aug 03 2003 Alexey Tourbin <at@altlinux.ru> 1.76-alt1
- 1.76

* Sat Jul 05 2003 Alexey Tourbin <at@altlinux.ru> 1.71-alt1
- 1.71
- fixed triggerpostun script

* Sat Jun 14 2003 Alexey Tourbin <at@altlinux.ru> 1.70-alt2
- CPAN/Config.pm will now be created in /etc/perl5
- triggerpostun added to move old configuration file on upgrade

* Fri Mar 14 2003 Alexey Tourbin <at@altlinux.ru> 1.70-alt1
- 1.70
- perl(Term/ReadLine/Gnu.pm) dependency added
- README excluded (=man CPAN)

* Wed Oct 23 2002 Alexey Tourbin <at@altlinux.ru> 1.63-alt1
- initial build for %distribution
